Differences

This shows you the differences between two versions of the page.

Link to this comparison view

Both sides previous revision Previous revision
Next revision
Previous revision
userspace:java-ng [2017/07/20 21:35]
Kevin W. Update to Java 8 update 141
userspace:java-ng [2019/06/26 15:56]
Kevin W. Added EOL notice
Line 1: Line 1:
-====== Java (java_1.8.0.141-4.2.5) ======+====== Java 8 (EOL) ======
 **Feel free to contact me :)** **Feel free to contact me :)**
  
-Tested with Opsi 4.0.7.17\\ +Tested with Debian 9\\ 
-Tested with Winst 4.11.5.20\\+Tested with Opsi 4.0.7.45\\ 
 +Tested with Winst 4.11.6.12\\
 Tested with Server 2016 x64\\ Tested with Server 2016 x64\\
-Tested with 10 Pro x64\\+Tested with 10 Enterprise ​x64\\
 Tested with 8.1 Pro x64\\ Tested with 8.1 Pro x64\\
 Tested with 7 Pro x64\\ Tested with 7 Pro x64\\
 Tested with 7 Pro x86\\ Tested with 7 Pro x86\\
-Tested with Java 6u10 - 8u141\\ 
 requiredWinstVersion >= 4.11.5\\ requiredWinstVersion >= 4.11.5\\
-By <​Compilenix@compilenix.org>​ 2017-07-20\\ 
  
-Download: [[https://​compilenix.org/​public/​opsi/​localboot/​java/​java_1.8.0.141-4.2.5.opsi | All in one - installable opsi package ​(~ 1 GiB)]]\\+**This package will not receive any updates** 
 + 
 +Download: [[https://​compilenix.org/​public/​opsi/​localboot/​java/​java_1.8.0.202-4.2.5.opsi | All in one - installable opsi package]]\\
 Checksum'​s and detached pgp signatures: https://​compilenix.org/​public/​opsi/​localboot/​java/​ Checksum'​s and detached pgp signatures: https://​compilenix.org/​public/​opsi/​localboot/​java/​
  
Line 28: Line 29:
  
 Download: my [[https://​compilenix.org/​public/​opsi/​Winst.xml | Notepad++ Syntax Highlighting]]\\ Download: my [[https://​compilenix.org/​public/​opsi/​Winst.xml | Notepad++ Syntax Highlighting]]\\
-Download: my [[https://compilenix.org/​public/​opsi/winst-4.11.6.vsix ​| Visual Studio Code Syntax Highlighting]]+Download: my [[https://marketplace.visualstudio.com/items?​itemName=Compilenix.winst | Visual Studio Code Syntax Highlighting]]
  
-<​code>​ +===== What it does, and what not =====
-Tree: +
-├── CLIENT_DATA +
-│   ├── UnlimitedJCEPolicy +
-│   │   ├── JCE_PATCHED +
-│   │   ├── README.txt +
-│   │   ├── US_export_policy.jar +
-│   │   └── local_policy.jar +
-│   ├── setup_data +
-│   │   ├── msi +
-│   │   │   ├── jdk1.8.0_141 +
-│   │   │   │   ├── jdk1.8.0_141.msi +
-│   │   │   │   ├── sj180141.cab +
-│   │   │   │   ├── ss180141.cab +
-│   │   │   │   ├── st180141.cab +
-│   │   │   │   └── sz180141.cab +
-│   │   │   ├── jdk1.8.0_141_x64 +
-│   │   │   │   ├── jdk1.8.0_14164.msi +
-│   │   │   │   ├── sj180141.cab +
-│   │   │   │   ├── ss180141.cab +
-│   │   │   │   ├── st180141.cab +
-│   │   │   │   └── sz180141.cab +
-│   │   │   ├── jre1.8.0_141 +
-│   │   │   │   └── jre1.8.0_141.msi +
-│   │   │   └── jre1.8.0_141_x64 +
-│   │   │   ​    ​└── jre1.8.0_14164.msi +
-│   │   ├── License.txt +
-│   │   ├── License.url +
-│   │   ├── jdk-8u141-windows-i586.exe +
-│   │   ├── jdk-8u141-windows-x64.exe +
-│   │   ├── jre-8u141-windows-i586.exe +
-│   │   └── jre-8u141-windows-x64.exe +
-│   ├── Sub_UpdateVariables.ins +
-│   ├── check_msi-exitcode.ins +
-│   ├── check_uninstall.ins +
-│   ├── delsub.ins +
-│   ├── java.png +
-│   ├── setup.ins +
-│   └── uninstall.ins +
-├── OPSI +
-│   ├── control +
-│   ├── postinst +
-│   └── preinst +
-├── LICENSE +
-├── Opsi-Wiki.wiki +
-├── README.md +
-├── jceCheck.jar +
-├── sha256sum.txt +
-├── sha256sum.txt.asc +
-├── shasum.sh +
-└── shasum_verify.sh +
- +
-</​code>​ +
- +
-==== What it does, and what not ====+
  It Does:  It Does:
   - Handle install: x64 and x86, JRE and JDK   - Handle install: x64 and x86, JRE and JDK
-  - Handle uninstall: x64 and x86, JRE of Java 1.6.0.10 until 1.8.0.141, JDK of Java 1.7.0.0 until 1.8.0.141+  - Handle uninstall: x64 and x86, JRE of Java 1.6.0.10 until 1.8.0.151, JDK of Java 1.7.0.0 until Java 8u202
   - Installation of Java 8   - Installation of Java 8
   - Add the JCE Patch to every Java installation;​ see: [[https://​docs.oracle.com/​javase/​8/​docs/​technotes/​guides/​security/​SunProviders.html | JCE Documentation]]   - Add the JCE Patch to every Java installation;​ see: [[https://​docs.oracle.com/​javase/​8/​docs/​technotes/​guides/​security/​SunProviders.html | JCE Documentation]]
Line 95: Line 42:
   - Uninstall Java versions older then 1.6.0.10, because in update 10 was a new installer dropped which uses an other schema of GUID´s at the Windows Registry   - Uninstall Java versions older then 1.6.0.10, because in update 10 was a new installer dropped which uses an other schema of GUID´s at the Windows Registry
   - Uninstall Java JDK`s older then 1.7.0.0   - Uninstall Java JDK`s older then 1.7.0.0
 +  - Un-/Install Java 9
  
-==== Notes ====+===== Notes =====
 The package includes the MSI installer for the JRE and JDK x86, because if you want to install Java JRE/JDK x86 on a x64 System the EXE installer will "​crash"​ if it was called in a SYSTEM user context. Calling it by hand will work and my package is designed to manage both cases. The package includes the MSI installer for the JRE and JDK x86, because if you want to install Java JRE/JDK x86 on a x64 System the EXE installer will "​crash"​ if it was called in a SYSTEM user context. Calling it by hand will work and my package is designed to manage both cases.
  
Line 106: Line 54:
 This happends only on x64 System`s. My package will ever prefer of using the EXE installer, the MSI files were only called in a fallback case!\\ This happends only on x64 System`s. My package will ever prefer of using the EXE installer, the MSI files were only called in a fallback case!\\
  
-==== Change Log ==== +===== TODO =====
-<​code>​ +
-java (1.8.0.141-4.2.5) +
-  -- Kevin Weis <​Compilenix@compilenix.org>​ 2017-07-20 +
-  * update +
-</​code>​ +
- +
-==== TODO ====+
   - Add feature; Install X.509 (root) Certificates into the Java Certificate chain.   - Add feature; Install X.509 (root) Certificates into the Java Certificate chain.
   - Change uninstall procedure using WMCI or Powershell, to avoid generating wrong uninstall strings. (Thanks Andreas)   - Change uninstall procedure using WMCI or Powershell, to avoid generating wrong uninstall strings. (Thanks Andreas)
   - Nothing else at the moment.. If you have any suggestions,​ let me know :)   - Nothing else at the moment.. If you have any suggestions,​ let me know :)
  
-===== control ​===== +===== Product Properties ​===== 
-<​code ​winst control.txt> +<​code>​
-[Package] +
-version: 4.2.5 +
-depends:  +
-incremental:​ False +
- +
-[Product] +
-type: localboot +
-id: java +
-name: Java +
-description:​ +
-advice: +
-version: 1.8.0.141 +
-priority: -95 +
-licenseRequired:​ False +
-productClasses:​  +
-setupScript:​ setup.ins +
-uninstallScript:​ uninstall.ins +
-updateScript:​  +
-alwaysScript:​  +
-onceScript:  +
-customScript:​  +
-userLoginScript:​  +
 [ProductProperty] [ProductProperty]
 type: unicode type: unicode
Line 204: Line 122:
 description:​ Toggle if on a 64bit OS only the 64bit JRE/JDK will be installed. description:​ Toggle if on a 64bit OS only the 64bit JRE/JDK will be installed.
 values: ["​False",​ "​True"​] values: ["​False",​ "​True"​]
-default: ["​False"​] 
  
 [ProductProperty] [ProductProperty]
Line 215: Line 132:
 default: ["​CPU"​] default: ["​CPU"​]
  
-[Changelog]+</​code>​ 
 + 
 +===== Changelog ​===== 
 +<code control.txt>​ 
 +java (1.8.0.202-4.2.5) 
 +  -- Kevin Weis <​Compilenix@compilenix.org>​ 2018-01-16 
 +  * update 
 + 
 +java (1.8.0.192-4.2.5) 
 +  -- Kevin Weis <​Compilenix@compilenix.org>​ 2018-10-26 
 +  * update 
 + 
 +java (1.8.0.181-4.2.5) 
 +  -- Kevin Weis <​Compilenix@compilenix.org>​ 2018-07-18 
 +  * update 
 + 
 +java (1.8.0.172-4.2.5) 
 +  -- Kevin Weis <​Compilenix@compilenix.org>​ 2018-04-18 
 +  * update 
 + 
 +java (1.8.0.162-4.2.5) 
 +  -- Kevin Weis <​Compilenix@compilenix.org>​ 2018-01-24 
 +  * update 
 + 
 +java (1.8.0.152-4.2.5) 
 +  -- Kevin Weis <​Compilenix@compilenix.org>​ 2017-10-26 
 +  * update 
 + 
 +java (1.8.0.144-4.2.5) 
 +  -- Kevin Weis <​Compilenix@compilenix.org>​ 2017-09-05 
 +  * update 
 java (1.8.0.141-4.2.5) java (1.8.0.141-4.2.5)
   -- Kevin Weis <​Compilenix@compilenix.org>​ 2017-07-20   -- Kevin Weis <​Compilenix@compilenix.org>​ 2017-07-20

QR Code
QR Code userspace:java-ng (generated for current page)